# -*- coding: utf-8 -*-
# Generated by the protocol buffer compiler.  DO NOT EDIT!
# source: plutus/api/money.proto
"""Generated protocol buffer code."""
from google.protobuf.internal import enum_type_wrapper
from google.protobuf import descriptor as _descriptor
from google.protobuf import message as _message
from google.protobuf import reflection as _reflection
from google.protobuf import symbol_database as _symbol_database
# @@protoc_insertion_point(imports)

_sym_db = _symbol_database.Default()


from atlas.api import like_pb2 as atlas_dot_api_dot_like__pb2
from google.protobuf import timestamp_pb2 as google_dot_protobuf_dot_timestamp__pb2


DESCRIPTOR = _descriptor.FileDescriptor(
  name='plutus/api/money.proto',
  package='weclikd',
  syntax='proto3',
  serialized_options=None,
  create_key=_descriptor._internal_create_key,
  serialized_pb=b'\n\x16plutus/api/money.proto\x12\x07weclikd\x1a\x14\x61tlas/api/like.proto\x1a\x1fgoogle/protobuf/timestamp.proto\"f\n\x07\x42\x61lance\x12.\n\npay_period\x18\x01 \x01(\x0b\x32\x1a.google.protobuf.Timestamp\x12+\n\x13likes_monthly_total\x18\x02 \x01(\x0b\x32\x0e.weclikd.Likes*@\n\x0c\x43urrencyType\x12\x19\n\x15\x43URRENCY_TYPE_UNKNOWN\x10\x00\x12\x15\n\x11\x43URRENCY_TYPE_USD\x10\x01\x62\x06proto3'
  ,
  dependencies=[atlas_dot_api_dot_like__pb2.DESCRIPTOR,google_dot_protobuf_dot_timestamp__pb2.DESCRIPTOR,])

_CURRENCYTYPE = _descriptor.EnumDescriptor(
  name='CurrencyType',
  full_name='weclikd.CurrencyType',
  filename=None,
  file=DESCRIPTOR,
  create_key=_descriptor._internal_create_key,
  values=[
    _descriptor.EnumValueDescriptor(
      name='CURRENCY_TYPE_UNKNOWN', index=0, number=0,
      serialized_options=None,
      type=None,
      create_key=_descriptor._internal_create_key),
    _descriptor.EnumValueDescriptor(
      name='CURRENCY_TYPE_USD', index=1, number=1,
      serialized_options=None,
      type=None,
      create_key=_descriptor._internal_create_key),
  ],
  containing_type=None,
  serialized_options=None,
  serialized_start=194,
  serialized_end=258,
)
_sym_db.RegisterEnumDescriptor(_CURRENCYTYPE)

CurrencyType = enum_type_wrapper.EnumTypeWrapper(_CURRENCYTYPE)
CURRENCY_TYPE_UNKNOWN = 0
CURRENCY_TYPE_USD = 1



_BALANCE = _descriptor.Descriptor(
  name='Balance',
  full_name='weclikd.Balance',
  filename=None,
  file=DESCRIPTOR,
  containing_type=None,
  create_key=_descriptor._internal_create_key,
  fields=[
    _descriptor.FieldDescriptor(
      name='pay_period', full_name='weclikd.Balance.pay_period', index=0,
      number=1, type=11, cpp_type=10, label=1,
      has_default_value=False, default_value=None,
      message_type=None, enum_type=None, containing_type=None,
      is_extension=False, extension_scope=None,
      serialized_options=None, file=DESCRIPTOR,  create_key=_descriptor._internal_create_key),
    _descriptor.FieldDescriptor(
      name='likes_monthly_total', full_name='weclikd.Balance.likes_monthly_total', index=1,
      number=2, type=11, cpp_type=10, label=1,
      has_default_value=False, default_value=None,
      message_type=None, enum_type=None, containing_type=None,
      is_extension=False, extension_scope=None,
      serialized_options=None, file=DESCRIPTOR,  create_key=_descriptor._internal_create_key),
  ],
  extensions=[
  ],
  nested_types=[],
  enum_types=[
  ],
  serialized_options=None,
  is_extendable=False,
  syntax='proto3',
  extension_ranges=[],
  oneofs=[
  ],
  serialized_start=90,
  serialized_end=192,
)

_BALANCE.fields_by_name['pay_period'].message_type = google_dot_protobuf_dot_timestamp__pb2._TIMESTAMP
_BALANCE.fields_by_name['likes_monthly_total'].message_type = atlas_dot_api_dot_like__pb2._LIKES
DESCRIPTOR.message_types_by_name['Balance'] = _BALANCE
DESCRIPTOR.enum_types_by_name['CurrencyType'] = _CURRENCYTYPE
_sym_db.RegisterFileDescriptor(DESCRIPTOR)

Balance = _reflection.GeneratedProtocolMessageType('Balance', (_message.Message,), {
  'DESCRIPTOR' : _BALANCE,
  '__module__' : 'plutus.api.money_pb2'
  # @@protoc_insertion_point(class_scope:weclikd.Balance)
  })
_sym_db.RegisterMessage(Balance)


# @@protoc_insertion_point(module_scope)
